Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Halide::Runtime::Internal::CacheEntry Struct Reference

`#include <hashmap.h>`

## Public Member Functions
bool | init (void *user_context, const uint8_t *cache_key, size_t cache_key_size, uint32_t key_hash, const uint8_t *cache_value, size_t cache_value_size, copy_value_func copy_value)
void | destroy (void *user_context, destroy_value_func destroy_value)

## Public Attributes
CacheEntry * | next
CacheEntry * | more_recent
CacheEntry * | less_recent
uint8_t * | metadata_storage
size_t | key_size
uint8_t * | key
uint32_t | hash
uint32_t | in_use_count
size_t | value_size
uint8_t * | value

## Detailed Description

Definition at line 41 of file hashmap.h.

## Member Function Documentation

## ◆ init()

bool Halide::Runtime::Internal::CacheEntry::init | ( | void * | user_context,
|  | const uint8_t * | cache_key,
|  | size_t | cache_key_size,
|  | uint32_t | key_hash,
|  | const uint8_t * | cache_value,
|  | size_t | cache_value_size,
|  | copy_value_func | copy_value
| ) |  |
| inline

Definition at line 64 of file hashmap.h.

References Halide::cast(), hash, hashmap_malloc, in_use_count, key, key_size, less_recent, metadata_storage, more_recent, next, user_context, value, and value_size.

## ◆ destroy()

void Halide::Runtime::Internal::CacheEntry::destroy | ( | void * | user_context,
|  | destroy_value_func | destroy_value
| ) |  |
| inline

Definition at line 114 of file hashmap.h.

References hashmap_free, metadata_storage, user_context, value, and value_size.

Referenced by Halide::Runtime::Internal::HashMap::cleanup().

## Member Data Documentation

## ◆ next

CacheEntry* Halide::Runtime::Internal::CacheEntry::next

Definition at line 42 of file hashmap.h.

Referenced by Halide::Runtime::Internal::HashMap::cleanup(), init(), Halide::Runtime::Internal::HashMap::lookup(), and Halide::Runtime::Internal::HashMap::store().

## ◆ more_recent

CacheEntry* Halide::Runtime::Internal::CacheEntry::more_recent

Definition at line 43 of file hashmap.h.

Referenced by init(), Halide::Runtime::Internal::HashMap::lookup(), and Halide::Runtime::Internal::HashMap::store().

## ◆ less_recent

CacheEntry* Halide::Runtime::Internal::CacheEntry::less_recent

Definition at line 44 of file hashmap.h.

Referenced by init(), Halide::Runtime::Internal::HashMap::lookup(), and Halide::Runtime::Internal::HashMap::prune().

## ◆ metadata_storage

uint8_t* Halide::Runtime::Internal::CacheEntry::metadata_storage

Definition at line 45 of file hashmap.h.

Referenced by destroy(), and init().

## ◆ key_size

size_t Halide::Runtime::Internal::CacheEntry::key_size

Definition at line 46 of file hashmap.h.

Referenced by init(), and Halide::Runtime::Internal::HashMap::lookup().

## ◆ key

uint8_t* Halide::Runtime::Internal::CacheEntry::key

Definition at line 47 of file hashmap.h.

Referenced by init(), and Halide::Runtime::Internal::HashMap::lookup().

## ◆ hash

uint32_t Halide::Runtime::Internal::CacheEntry::hash

Definition at line 48 of file hashmap.h.

Referenced by init(), and Halide::Runtime::Internal::HashMap::lookup().

## ◆ in_use_count

uint32_t Halide::Runtime::Internal::CacheEntry::in_use_count

Definition at line 49 of file hashmap.h.

Referenced by init(), and Halide::Runtime::Internal::HashMap::lookup().

## ◆ value_size

size_t Halide::Runtime::Internal::CacheEntry::value_size

Definition at line 52 of file hashmap.h.

Referenced by destroy(), init(), and Halide::Runtime::Internal::HashMap::lookup().

## ◆ value

uint8_t* Halide::Runtime::Internal::CacheEntry::value

Definition at line 53 of file hashmap.h.

Referenced by destroy(), init(), and Halide::Runtime::Internal::HashMap::lookup().

The documentation for this struct was generated from the following file:

- src/runtime/hashmap.h